Bug 72655 - Problem with (vi|emacs) inside a screen..
Problem with (vi|emacs) inside a screen..
Status: CLOSED WORKSFORME
Product: Red Hat Public Beta
Classification: Retired
Component: screen (Show other bugs)
null
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-26 08:35 EDT by Dams
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-28 03:05:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dams 2002-08-26 08:35:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
I got an unreadable output when i'm in vi or in emacs inside a screen.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. screen 
2. vi foo.txt (could either be emacs -nw)
3. i 
4. write something.

Actual Results:  I got this : 

[?1ct[?0c[?1ch[?0c[?1ci[?0c[?1cs[?0c[?1c [?0c[?1ci[?0c[?1cs[?0c[?1c
[?0c[?1cg[?0c[?1ca[?0c[?1cr[?0c[?1cb[?0c[?1ca[?0c[?1cg[?0c[?1ce[?0c
~
~
~

after a refresh (C-a C-l) : 
this is garbage
~
~
~


Additional info:

This doesn't happen when i'm not in a screen.
Comment 1 Phil Copeland 2002-08-26 16:33:11 EDT
*blink*

erm doesn't do that here,..
then again what version of screen is that?
(rpm -q screen)

if it's -9 then I HIGHLY recommend jumpint to -10 (in rawhide) and checking is
you see the same behaviour

Phil
=--=
Comment 2 Dams 2002-08-27 02:38:51 EDT
[root@enclume /net/foutoir/rawhide/i386/RedHat/RPMS]# rpm -Uvh
screen-3.9.11-10.i386.rpm
warning: screen-3.9.11-10.i386.rpm: Header V3 DSA signature: NOKEY, key ID 897da07a
Preparing...                ########################################### [100%]
        package screen-3.9.11-10 is already installed

You can reproduce it with "TERM=linux screen" (or screen -r).
Comment 3 Phil Copeland 2002-08-27 14:43:02 EDT
I'm still getting no change here.
What are your locale settings?

[root@dhcp59-221 root]# locale
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=
Comment 4 Dams 2002-08-28 02:38:35 EDT
[dnade@enclume ~]# locale
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE=C
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=

same here except the LC_COLLATE can it be that ?
If you wanna try with my zsh config : 
http://confiote.ath.cx/~anvil/zconf/.zshrc
http://confiote.ath.cx/~anvil/zconf/.zshenv
http://confiote.ath.cx/~anvil/zconf/.zlogin
Comment 5 Dams 2002-08-28 03:05:35 EDT
my .screenrc : http://confiote.ath.cx/~anvil/zconf/.screenrc
Comment 6 Phil Copeland 2002-08-31 03:01:23 EDT
Sorry, I just can't replicate this scenario here (and I did try)..

Phil
=--=
Comment 7 Dams 2002-09-02 03:09:47 EDT
Bah. Sorry if you lost precious time. I've just upgraded my (null) box with all
that was available on the Red Hat Network. It seems fixed.

Note You need to log in before you can comment on or make changes to this bug.